Search documentation of tiger_stripe

# Stripe.Services.CustomerCashBalanceTransactionService (tiger_stripe v0.1.1)

Copy Markdown View Source

CustomerCashBalanceTransaction

Customers with certain payments enabled have a cash balance, representing funds that were paid by the customer to a merchant, but have not yet been allocated to a payment. Cash Balance Transactions represent when funds are moved into or out of this balance. This includes funding by the customer, allocation to payments, and refunds to the customer.

## Summary

### Functions

list(client, customer, params \\ %{}, opts \\ [])

List cash balance transactions

retrieve(client, customer, transaction, params \\ %{}, opts \\ [])

Retrieve a cash balance transaction

## Functions

# list(client, customer, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List cash balance transactions

Returns a list of transactions that modified the customer’s cash balance.

# retrieve(client, customer, transaction, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a cash balance transaction

Retrieves a specific cash balance transaction, which updated the customer’s cash balance.